配合版本控制

npm install yarn -g

为了使其他人能够使用你的包,或者能够对其进行后续开发,你需要确保将所有必须的文件提交到你所使用的版本控制系统。

所需的文件

为了别人能使用你的包,以下文件必须被提交进版本控制系统:

  • package.json:包含包的所有依赖信息;
  • yarn.lock:记录每一个依赖项的确切版本信息;
  • 包实现功能的实际项目代码。

请参阅Yarn Example Package项目,查看一个可用的Yarn包所需的最少文件配置。